org.springframework.jms.config

## Class SimpleJmsListenerEndpoint

- java.lang.Object
- - org.springframework.jms.config.AbstractJmsListenerEndpoint
  - - org.springframework.jms.config.SimpleJmsListenerEndpoint

All Implemented Interfaces:
  JmsListenerEndpoint

    public class SimpleJmsListenerEndpoint
    extends AbstractJmsListenerEndpoint

A `JmsListenerEndpoint` simply providing the `MessageListener` to invoke to process an incoming message for this endpoint.

Since:
  4.1
Author:
  Stephane Nicoll

### Constructor Summary

Constructors
Constructor and Description
`SimpleJmsListenerEndpoint()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected MessageListener` `createMessageListener(MessageListenerContainer container)` Create a `MessageListener` that is able to serve this endpoint for the specified container.
`protected StringBuilder` `getEndpointDescription()` Return a description for this endpoint.
`MessageListener` `getMessageListener()` Return the `MessageListener` to invoke when a message matching the endpoint is received.
`void` `setMessageListener(MessageListener messageListener)` Set the `MessageListener` to invoke when a message matching the endpoint is received.

### Methods inherited from class org.springframework.jms.config.AbstractJmsListenerEndpoint

`getConcurrency, getDestination, getId, getSelector, getSubscription, setConcurrency, setDestination, setId, setSelector, setSubscription, setupListenerContainer, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleJmsListenerEndpoint

    public SimpleJmsListenerEndpoint()

### Method Detail

#### setMessageListener

    public void setMessageListener(@Nullable
                                   MessageListener messageListener)

Set the `MessageListener` to invoke when a message matching the endpoint is received.

#### getMessageListener

    @Nullable
    public MessageListener getMessageListener()

Return the `MessageListener` to invoke when a message matching the endpoint is received.

#### createMessageListener

    protected MessageListener createMessageListener(MessageListenerContainer container)

Description copied from class: `AbstractJmsListenerEndpoint`
Create a `MessageListener` that is able to serve this endpoint for the specified container.

Specified by:
  `createMessageListener` in class `AbstractJmsListenerEndpoint`

#### getEndpointDescription

    protected StringBuilder getEndpointDescription()

Description copied from class: `AbstractJmsListenerEndpoint`
Return a description for this endpoint.

Available to subclasses, for inclusion in their `toString()` result.

Overrides:
  `getEndpointDescription` in class `AbstractJmsListenerEndpoint`